## skrooge 2.12.0

=== debian/changelog ===
skrooge (2.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_cmake-fix-KDocTools-variable-name.patch: drop,
      backported from upstream
  * Avoid removing .so symlinks of plugins.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default

 -- Pino Toscano <pino@debian.org>  Sat, 10 Mar 2018 09:16:40 +0100

=== debian/control ===
Source: skrooge
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.0),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.7.0),
               qtbase5-dev (>= 5.3.0),
               qtbase5-private-dev (>= 5.3.0),
               libqt5svg5-dev (>= 5.3.0),
               qttools5-dev (>= 5.3.0),
               libqt5webkit5-dev (>= 5.3.0),
               qtdeclarative5-dev (>= 5.3.0),
               libkf5activities-dev,
               libkf5archive-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5kdelibs4support-dev,
               kgendesignerplugin,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5parts-dev,
               libkf5runner-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libgrantlee5-dev (>= 0.5),
               libqca-qt5-2-dev,
               xsltproc,
               libofx-dev,
               libsqlcipher-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               shared-mime-info
Standards-Version: 4.1.3
Homepage: http://skrooge.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/skrooge/trunk
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/skrooge/

Package: skrooge
Architecture: any
Depends: libqca-qt5-2-plugins,
         libqt5sql5-sqlite,
         skrooge-common (= ${source:Version}),
         kinit,
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: poppler-utils
Description: personal finance manager for KDE
 Skrooge allows you to manage your personal finances. It is intended to be used
 by individuals who want to keep track of their incomes, expenses and
 investments. Its philosophy is to stay simple and intuitive.
 .
 Here is the list of Skrooge main features:
  * QIF, CSV, KMyMoney, Skrooge,  import/export
  * OFX, QFX, GnuCash, Grisbi, HomeBank import
  * Advanced Graphical Reports
  * Several tabs to help you organize your work
  * Infinite undo/redo
  * Instant filtering on operations and reports
  * Infinite categories levels
  * Mass update of operations
  * Scheduled operations
  * Track refund of your expenses
  * Automatically process operations based on search conditions
  * Multi currencies
  * Dashboard

Package: skrooge-common
Architecture: all
Depends: ${misc:Depends}
Description: Skrooge architecture independent files
 Skrooge allows you to manage your personal finances. It is intended to be used
 by individuals who want to keep track of their incomes, expenses and
 investments. Its philosophy is to stay simple and intuitive.
 .
 This package contains architecture independent files needed for Skrooge to run
 properly. It also provides Skrooge documentation. Therefore, unless you
 have 'skrooge' package installed, you will hardly find this package useful.

## skrooge 2.13.0

=== CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE ROOT ::..")

PROJECT(skrooge)

SET (QT_MIN_VERSION "5.3.0")

OPTION(SKG_BUILD_TEST "Build the test" ON)
OPTION(SKG_DESIGNER   "Build designer library" ON)
OPTION(SKG_WEBENGINE  "Build WebEngine instead of WebKit" OFF)
IF(WIN32)
    SET(SKG_WEBENGINE OFF)
ENDIF(WIN32)
IF(SKG_WEBENGINE)
    SET (QT_MIN_VERSION "5.9.0")
ENDIF(SKG_WEBENGINE)

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.12)
CMAKE_POLICY(SET CMP0028 OLD)
IF(POLICY CMP0063)
  CMAKE_POLICY(SET CMP0063 NEW)
ENDIF(POLICY CMP0063)
 
FIND_PACKAGE(ECM 1.7.0 REQUIRED NO_MODULE)
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${skrooge_SOURCE_DIR}/cmake/modules)
INCLUDE(ECMInstallIcons)
INCLUDE(KDEInstallDirs)
INCLUDE(KDECompilerSettings)
INCLUDE(KDECMakeSettings)
INCLUDE(FeatureSummary)
INCLUDE(CheckCXXCompilerFlag)
INCLUDE(GenerateExportHeader)
INCLUDE(ECMSetupVersion)
INCLUDE(ECMGenerateHeaders)
INCLUDE(ECMPackageConfigHelpers)
INCLUDE(KDEFrameworkCompilerSettings)

FIND_PACKAGE(Qt5 ${QT_MIN_VERSION} NO_MODULE REQUIRED Core DBus Widgets Script Sql Test PrintSupport Svg Xml Concurrent Qml QuickWidgets)
IF(SKG_WEBENGINE)
    FIND_PACKAGE(Qt5 ${QT_MIN_VERSION} NO_MODULE REQUIRED WebEngineWidgets)
ELSE(SKG_WEBENGINE)
    FIND_PACKAGE(Qt5 ${QT_MIN_VERSION} NO_MODULE REQUIRED WebKitWidgets)
ENDIF(SKG_WEBENGINE)

IF(SKG_DESIGNER)
  FIND_PACKAGE(Qt5 ${QT_MIN_VERSION} NO_MODULE REQUIRED Designer )
  FIND_PACKAGE(KF5 5.0.0 REQUIRED COMPONENTS
    DesignerPlugin        # Tier 3
  )  
ELSE(SKG_DESIGNER)
  SET(SKG_BUILD_TEST OFF)
ENDIF(SKG_DESIGNER)

FIND_PACKAGE(Grantlee5 0.5 REQUIRED)

FIND_PACKAGE(KF5 5.0.0 REQUIRED COMPONENTS
  Archive               # Tier 1
  Config                # Tier 1
  CoreAddons            # Tier 1
  I18n                  # Tier 1
  ItemViews             # Tier 1
  WidgetsAddons         # Tier 1
  WindowSystem          # Tier 1
  Completion            # Tier 2
  JobWidgets            # Tier 2
  ConfigWidgets         # Tier 3
  IconThemes            # Tier 3
  KIO                   # Tier 3
  NewStuff              # Tier 3
  Parts                 # Tier 3
  Wallet                # Tier 3
  XmlGui                # Tier 3
)

FIND_PACKAGE(KF5DocTools)

FIND_PACKAGE(PkgConfig REQUIRED)
PKG_CHECK_MODULES(SQLCIPHER REQUIRED sqlcipher)
MESSAGE( STATUS "     Mode SQLCIPHER enabled")
MESSAGE( STATUS "     SQLCIPHER INCLUDE   :  " ${SQLCIPHER_INCLUDE_DIRS})
SET(SQLITE_LIBRARIES ${SQLCIPHER_LIBRARIES})
SET(SQLITE_INCLUDE_DIR ${SQLCIPHER_INCLUDE_DIRS})
link_directories(${SQLCIPHER_LIBRARY_DIRS})

SET_PACKAGE_PROPERTIES(Sqlcipher PROPERTIES DESCRIPTION "Support for encryption"
                       URL "https://www.zetetic.net/sqlcipher/"
                       TYPE REQUIRED)
                       
SET(GRANTLEE_VERSION ${Grantlee5_VERSION_MAJOR}.${Grantlee5_VERSION_MINOR}.${Grantlee5_VERSION_PATCH})
MESSAGE( STATUS "     GRANTLEE VERSION    : " ${GRANTLEE_VERSION})

SET(SKG_VERSION "2.13.0")
SET(SKG_BETA "")
SET(SOVERSION 2)

IF (CMAKE_BUILD_TYPE)
ELSE (CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE profile)
#"release": optimized for speed, no debug symbols or debug messages
#"relwithdebinfo": optimized for speed, debug symbols for backtraces
#"debug": optimized, but debuggable
#"debugfull": no optimizations, full debug support
#"profile": adds coverage flags to debugfull
#"none": the build flags are manually set using the CMAKE_CXX_FLAGS option.
ENDIF (CMAKE_BUILD_TYPE)

FIND_PROGRAM(SKG_BASH bash)
MARK_AS_ADVANCED(SKG_BASH)

SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
SET(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/lib)
MESSAGE( STATUS "     QT                  : " ${Qt5_VERSION} )
MESSAGE( STATUS "     PROJECT_SOURCE_DIR  : " ${PROJECT_SOURCE_DIR} )
MESSAGE( STATUS "     PROJECT_BINARY_DIR  : " ${PROJECT_BINARY_DIR} )
MESSAGE( STATUS "     CMAKE_BUILD_TYPE    : " ${CMAKE_BUILD_TYPE} )
MESSAGE( STATUS "     CMAKE_MODULE_PATH   : " ${CMAKE_MODULE_PATH} )
MESSAGE( STATUS "     CMAKE_INSTALL_PREFIX: " ${CMAKE_INSTALL_PREFIX} )
MESSAGE( STATUS "     SKG_BUILD_TEST      : " ${SKG_BUILD_TEST} )
MESSAGE( STATUS "     SKG_DESIGNER        : " ${SKG_DESIGNER} )
MESSAGE( STATUS "     SKG_WEBENGINE       : " ${SKG_WEBENGINE} )
MESSAGE( STATUS "     KDE_INSTALL_QTPLUGINDIR : " ${KDE_INSTALL_QTPLUGINDIR})

#IF(CMAKE_BUILD_TYPE MATCHES "profile")
#  MESSAGE( STATUS "     TRACES              : All traces activated")
  #add_definitions(-DSKGFULLTRACES)
#ELSE(CMAKE_BUILD_TYPE MATCHES "profile")
#  IF(CMAKE_BUILD_TYPE MATCHES "debug" OR SKG_BETA MATCHES "BETA")
    MESSAGE( STATUS "     TRACES              : Some traces activated")
#  ELSE(CMAKE_BUILD_TYPE MATCHES "debug" OR SKG_BETA MATCHES "BETA")
#    MESSAGE( STATUS "     TRACES              : All traces disabled")
#    add_definitions(-DSKGNOTRACES)
#  ENDIF(CMAKE_BUILD_TYPE MATCHES "debug" OR SKG_BETA MATCHES "BETA")
#ENDIF(CMAKE_BUILD_TYPE MATCHES "profile")

# FIX: Qt was built with -reduce-relocations
IF(Qt5_POSITION_INDEPENDENT_CODE)
  SET(CMAKE_POSITION_INDEPENDENT_CODE ON)
ENDIF(Qt5_POSITION_INDEPENDENT_CODE)

ADD_DEFINITIONS(-DSKGVERSION=${SKG_VERSION}${SKG_BETA})
REMOVE_DEFINITIONS(-DQT_NO_CAST_FROM_ASCII)

#Correction bug 207249 vvvv
#SET(CMAKE_CXX_FLAGS "-Wall" )
IF(CMAKE_COMPILER_IS_GNUCXX)
    # SET(CMAKE_CXX_FLAGS "-Wall ${CMAKE_CXX_FLAGS}")
    CHECK_CXX_COMPILER_FLAG("-Wlogical-op" WLOGICALOP)
    IF(WLOGICALOP)
        SET(CMAKE_CXX_FLAGS "-Wlogical-op ${CMAKE_CXX_FLAGS}")
    ENDIF(WLOGICALOP)
    
    CHECK_CXX_COMPILER_FLAG("-Wnoexcept" WNOEXCEPT)
    IF(WNOEXCEPT)
        SET(CMAKE_CXX_FLAGS "-Wnoexcept ${CMAKE_CXX_FLAGS}")
    ENDIF(WNOEXCEPT)    

    SET(CMAKE_CXX_FLAGS "-std=c++0x -pedantic -Wall -Wextra -Wno-variadic-macros -Wparentheses -Wmissing-braces -Wcast-align -Wcast-qual -Wformat=2 -Winit-self -Wmissing-include-dirs -Woverloaded-virtual -Wsign-promo -Wstrict-null-sentinel -Wundef -Wno-unused ${CMAKE_CXX_FLAGS}")
    #  SET(CMAKE_CXX_FLAGS " -Wstrict-overflow=5  -Wshadow  -Wctor-dtor-privacy  -Wshadow -Wold-style-cast -Wswitch-default -Wredundant-decls ${CMAKE_CXX_FLAGS}")
    #MESSAGE(STATUS "     CMAKE_CXX_FLAGS : ${CMAKE_CXX_FLAGS}")
ENDIF(CMAKE_COMPILER_IS_GNUCXX)
#Correction bug 207249 ^^^^

#Default installation path
SET(CMAKE_INSTALL_PREFIX ${BUILD_DIR})

# Win32 specific configuration
IF(WIN32)
    ADD_DEFINITIONS(-DSKG_PLATFORM_WIN32)
    IF(CMAKE_COMPILER_IS_GNUCXX)
	SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,--enable-runtime-pseudo-reloc -Wl,--export-all-symbols" CACHE STRING "" FORCE)
    ENDIF(CMAKE_COMPILER_IS_GNUCXX)
    
    IF (CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)
        ADD_DEFINITIONS( -DQT_DEBUG )
    ENDIF (CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)    
ELSE(WIN32)
#To solve Bug 209912:"ldd -u <library>""
#does not work on MACOS, must be done manually		SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--as-needed" CACHE STRING "" FORCE)
ENDIF(WIN32)
MESSAGE(STATUS "     CMAKE_SHARED_LINKER_FLAGS : ${CMAKE_SHARED_LINKER_FLAGS}")

#ADD_SUBDIRECTORY
ADD_SUBDIRECTORY(skgsqlcipher)
ADD_SUBDIRECTORY(skgbasemodeler)
ADD_SUBDIRECTORY(skgbankmodeler)
ADD_SUBDIRECTORY(skgbasegui)
ADD_SUBDIRECTORY(skgbankgui)

ADD_SUBDIRECTORY(plugins)
ADD_SUBDIRECTORY(images)

IF(SKG_BUILD_TEST AND NOT WIN32)
    ADD_SUBDIRECTORY(tests)
ENDIF(SKG_BUILD_TEST AND NOT WIN32)

IF(KF5DocTools_FOUND)
  ADD_SUBDIRECTORY(doc)
ENDIF(KF5DocTools_FOUND)

#Main application
ADD_SUBDIRECTORY(skrooge)
ADD_SUBDIRECTORY(skroogeconvert)
#TODO(STEPHANE MANKOWSKI) KF5 ADD_SUBDIRECTORY(skroogeakonadi)

CONFIGURE_FILE(scripts/addNewPlugin.sh.in scripts/addNewPlugin.sh @ONLY)
CONFIGURE_FILE(scripts/addNewImportPlugin.sh.in scripts/addNewImportPlugin.sh @ONLY)

#DOXYGEN
ADD_CUSTOM_TARGET(apidox "doxygen" "${PROJECT_SOURCE_DIR}/Doxyfile")

#ASTYLE
CONFIGURE_FILE(scripts/astyle.sh.in scripts/astyle.sh @ONLY)
ADD_CUSTOM_TARGET(astyle "scripts/astyle.sh")

#GENERATE SPLASH SCREEN
CONFIGURE_FILE(scripts/generateSplash.sh.in scripts/generateSplash.sh @ONLY)
ADD_CUSTOM_TARGET(splash "scripts/generateSplash.sh")

#STATIC CODE CHECKS
CONFIGURE_FILE(scripts/codecheck.sh.in scripts/codecheck.sh @ONLY)
ADD_CUSTOM_TARGET(codecheck "scripts/codecheck.sh")

CONFIGURE_FILE(CTestCustom.cmake CTestCustom.cmake @ONLY)

#FULL
CONFIGURE_FILE(scripts/full.sh scripts/full.sh @ONLY)

#GETPO
ADD_CUSTOM_COMMAND(
    OUTPUT getpocmd
    COMMAND python3 scripts/download-po.py
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

ADD_CUSTOM_TARGET(getpo
  DEPENDS getpocmd
  COMMENT "Re-run cmake after this to be able to run BuildTranslations with the latest files"
  )

#PO files
FIND_PACKAGE(KF5I18n CONFIG REQUIRED)
KI18N_INSTALL(po)

FIND_PACKAGE(KF5DocTools CONFIG)
IF(KF5DocTools_FOUND)
    KDOCTOOLS_INSTALL(po)
ENDIF()
  
FEATURE_SUMMARY(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== skgbasegui/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE SKGBASEGUI ::..")

PROJECT(SKGBASEGUI)

FIND_PACKAGE(KF5Activities) 
FIND_PACKAGE(KF5 5.0.0 REQUIRED COMPONENTS 
  GuiAddons             # Tier 1
  Notifications         # Tier 3  
  NotifyConfig          # Tier 3  
)
IF(SKG_WEBENGINE)
    MESSAGE( STATUS "     Mode WebEngine")
    ADD_DEFINITIONS(-DSKG_WEBENGINE=${SKG_WEBENGINE})
ENDIF(SKG_WEBENGINE)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skgbasegui_SRCS
   skgmainpanel.cpp
   skgobjectmodelbase.cpp
   skgwidget.cpp
   skgperiodedit.cpp
   skgtabwidget.cpp
   skgtablewidget.cpp
   skgtabpage.cpp
   skginterfaceplugin.cpp
   skgtableview.cpp
   skgfilteredtableview.cpp
   skgtreeview.cpp
   skgcombobox.cpp
   skgcolorbutton.cpp
   skgzoomselector.cpp
   skgcalculatoredit.cpp
   skggraphicsscene.cpp
   skggraphicsview.cpp
   skghtmlboardwidget.cpp
   skgboardwidget.cpp   
   skgtablewithgraph.cpp
   skgdateedit.cpp
   skgprogressbar.cpp
   kdateedit.cpp
   kdatepickerpopup.cpp
   kdatevalidator.cpp
   skgsortfilterproxymodel.cpp
   skgflowlayout.cpp
   skgwebview.cpp
   skgshow.cpp
   skgwidgetselector.cpp
   skgsimpleperiodedit.cpp
 )
IF(SKG_DESIGNER) 
  SET(skgbasegui_SRCS
    ${skgbasegui_SRCS}
    skgwidgetcollectiondesignerplugin.cpp
    skgtabwidgetdesignerplugin.cpp
    skgtablewidgetdesignerplugin.cpp
    skgtableviewdesignerplugin.cpp
    skgfilteredtableviewdesignerplugin.cpp
    skgtreeviewdesignerplugin.cpp
    skgcomboboxdesignerplugin.cpp
    skgcolorbuttondesignerplugin.cpp
    skgwidgetselectordesignerplugin.cpp
    skgwebviewdesignerplugin.cpp
    skgzoomselectordesignerplugin.cpp
    skgcalculatoreditdesignerplugin.cpp
    skggraphicsviewdesignerplugin.cpp
    skgshowdesignerplugin.cpp
    skgtablewithgraphdesignerplugin.cpp
    skgdateeditdesignerplugin.cpp
    skgprogressbardesignerplugin.cpp
    skgperiodeditdesignerplugin.cpp
    skgsimpleperiodeditdesignerplugin.cpp
  ) 
ENDIF(SKG_DESIGNER) 

ki18n_wrap_ui(skgbasegui_SRCS skgmainpanel_base.ui skgmainpanel_pref.ui skggraphicsview.ui skgtablewithgraph.ui skgcolorbutton.ui skgzoomselector.ui skgperiodedit.ui skgfilteredtableview.ui skgwidgetselector.ui )

kconfig_add_kcfg_files(skgbasegui_SRCS skgbasegui_settings.kcfgc )

ADD_LIBRARY(skgbasegui SHARED ${skgbasegui_SRCS})

if (KActivities_FOUND)
    MESSAGE( STATUS "     KActivity FOUND" )
    TARGET_LINK_LIBRARIES(skgbasegui LINK_PUBLIC KF5::Activities)
endif (KActivities_FOUND)

IF(SKG_DESIGNER)
    IF(SKG_WEBENGINE)
        TARGET_LINK_LIBRARIES(skgbasegui LINK_PUBLIC KF5::Parts KF5::KIOFileWidgets KF5::NotifyConfig KF5::Notifications Qt5::QuickWidgets Qt5::PrintSupport Qt5::Svg Qt5::WebEngineWidgets skgbasemodeler Qt5::Designer)
    ELSE(SKG_WEBENGINE)
        TARGET_LINK_LIBRARIES(skgbasegui LINK_PUBLIC KF5::Parts KF5::KIOFileWidgets KF5::NotifyConfig KF5::Notifications Qt5::QuickWidgets Qt5::PrintSupport Qt5::Svg Qt5::WebKitWidgets skgbasemodeler Qt5::Designer)
    ENDIF(SKG_WEBENGINE)
ELSE(SKG_DESIGNER)
    IF(SKG_WEBENGINE)
        TARGET_LINK_LIBRARIES(skgbasegui LINK_PUBLIC KF5::Parts KF5::KIOFileWidgets KF5::NotifyConfig KF5::Notifications Qt5::QuickWidgets Qt5::PrintSupport Qt5::Svg Qt5::WebEngineWidgets skgbasemodeler)
    ELSE(SKG_WEBENGINE)
        TARGET_LINK_LIBRARIES(skgbasegui LINK_PUBLIC KF5::Parts KF5::KIOFileWidgets KF5::NotifyConfig KF5::Notifications Qt5::QuickWidgets Qt5::PrintSupport Qt5::Svg Qt5::WebKitWidgets skgbasemodeler)
    ENDIF(SKG_WEBENGINE)
ENDIF(SKG_DESIGNER)
SET_TARGET_PROPERTIES(skgbasegui PROPERTIES VERSION ${SKG_VERSION} SOVERSION ${SOVERSION} )

GENERATE_EXPORT_HEADER(skgbasegui BASE_NAME skgbasegui)

########### install files ###############
INSTALL(TARGETS skgbasegui ${INSTALL_TARGETS_DEFAULT_ARGS}  LIBRARY NAMELINK_SKIP  )
IF(SKG_DESIGNER)
  IF(WIN32)
    INSTALL(TARGETS skgbasegui LIBRARY ARCHIVE DESTINATION ${PLUGIN_INSTALL_DIR}/designer )
  ELSE(WIN32)
    INSTALL(TARGETS skgbasegui LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR}/designer )
  ENDIF(WIN32)
ENDIF(SKG_DESIGNER)  

INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgmainpanel.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/skg )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgbasegui_settings.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/org.kde.skg-plugin.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

INSTALL(DIRECTORY icons_breeze/ DESTINATION ${ICON_INSTALL_DIR}/breeze/actions/22 FILES_MATCHING PATTERN "*.svgz")
INSTALL(DIRECTORY icons_breeze-dark/ DESTINATION ${ICON_INSTALL_DIR}/breeze-dark/actions/22 FILES_MATCHING PATTERN "*.svgz")

ECM_INSTALL_ICONS(ICONS
    icons_hicolor/16-actions-skg-chart-bubble.png
    icons_hicolor/22-actions-skg-chart-bubble.png
    icons_hicolor/32-actions-skg-chart-bubble.png
    icons_hicolor/48-actions-skg-chart-bubble.png
    icons_hicolor/64-actions-skg-chart-bubble.png
    icons_hicolor/128-actions-skg-chart-bubble.png
    icons_hicolor/256-actions-skg-chart-bubble.png
    icons_hicolor/512-actions-skg-chart-bubble.png
    icons_hicolor/sc-actions-skg-chart-bubble.svgz
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)

=== tests/skgbankguitest/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE SKGBANKGUITEST ::..")

PROJECT(SKBBASEMODELERTEST)

ADD_DEFINITIONS(-DQT_GUI_LIB)
LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/tests/skgbasemodelertest )

#Make executables
ADD_EXECUTABLE(skgtestpredicatcreator skgtestpredicatcreator.cpp)
ADD_EXECUTABLE(skgtestmainpanel skgtestmainpanel.cpp)
ADD_EXECUTABLE(skgtestactions skgtestactions.cpp)
ADD_EXECUTABLE(skgtesttreeview skgtesttreeview.cpp)
ADD_EXECUTABLE(skgtestbankwidgets skgtestbankwidgets.cpp)
ADD_EXECUTABLE(skgtestmodel skgtestmodel.cpp modeltest.cpp)


TARGET_LINK_LIBRARIES(skgtestpredicatcreator  Qt5::Gui Qt5::Core Qt5::Test skgbasemodeler skgbankmodeler skgbankgui skgbasegui)
TARGET_LINK_LIBRARIES(skgtestmainpanel  Qt5::Gui Qt5::Core Qt5::Test skgbasemodeler skgbankmodeler skgbankgui skgbasegui)
TARGET_LINK_LIBRARIES(skgtestactions  Qt5::Gui Qt5::Core Qt5::Test skgbasemodeler skgbankmodeler skgbankgui skgbasegui)
TARGET_LINK_LIBRARIES(skgtesttreeview Qt5::Core KF5::KIOWidgets Qt5::Test skgbankmodeler skgbasemodeler skgbankgui skgbasegui)
TARGET_LINK_LIBRARIES(skgtestbankwidgets Qt5::Core KF5::KIOWidgets Qt5::Test skgbankmodeler skgbasemodeler skgbankgui skgbasegui)
TARGET_LINK_LIBRARIES(skgtestmodel Qt5::Core KF5::KIOWidgets Qt5::Test skgbankmodeler skgbasemodeler skgbankgui skgbasegui)

#Add test
ENABLE_TESTING()
ADD_TEST(skgtestpredicatcreator ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestpredicatcreator.sh)
ADD_TEST(skgtestmainpanel ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestmainpanel.sh)
ADD_TEST(skgtestactions ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestactions.sh)
ADD_TEST(skgtesttreeview ${CMAKE_SOURCE_DIR}/tests/scripts/skgtesttreeview.sh)
ADD_TEST(skgtestbankwidgets ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestbankwidgets.sh)
ADD_TEST(skgtestmodel ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestmodel.sh)

#TODO: TO LONG ADD_TEST(skgtestskrooge ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestskrooge.sh)

INCLUDE(CTest)

=== debian/changelog ===
skrooge (2.13.0-2) unstable; urgency=medium

  * Team upload.
  * Move the appdata file from skrooge-common to skrooge, where the desktop
    file is
    - add proper breaks/replaces
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Sun, 27 May 2018 11:22:24 +0200

skrooge (2.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump Standards-Version to 4.1.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 21:27:56 +0200

=== debian/control ===
--- 
+++ 
@@ -45,10 +45,10 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                shared-mime-info
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://skrooge.org/
-Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/skrooge/trunk
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/skrooge/
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/skrooge.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/skrooge
 
 Package: skrooge
 Architecture: any
@@ -60,6 +60,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: poppler-utils
+Breaks: skrooge-common (<< 2.13.0-2~),
+Replaces: skrooge-common (<< 2.13.0-2~),
 Description: personal finance manager for KDE
  Skrooge allows you to manage your personal finances. It is intended to be used
  by individuals who want to keep track of their incomes, expenses and

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --list-missing --with kf5

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kf5 -- -DSKG_BUILD_TEST=OFF

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install --buildsystem=kf5

	# remove .so symlinks, useless without headers; make sure to not
	# remove those for qt plugins
	find debian/tmp \( -name '*.so' -type l \! -path '*/usr/lib/*/qt5/plugins/designer/*' \) -print -delete

## skrooge 2.14.0

=== skgbasemodeler/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE SKGBASEMODELER ::..")

PROJECT(SKGBASEMODELER)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

FIND_PACKAGE(Qca-qt5 2.1.0 REQUIRED)
IF(Qt5_VERSION VERSION_LESS 5.7.0)
  FIND_PACKAGE(KF5 5.0.0 REQUIRED COMPONENTS 
    KDELibs4Support       # Porting Aids (KLocale::formatMoney)
  )
ENDIF()
                       
SET_PACKAGE_PROPERTIES(Qca-qt5 PROPERTIES DESCRIPTION "Support for encryption"
                       URL "http://download.kde.org/stable/qca-qt5"
                       TYPE REQUIRED)                       

INCLUDE_DIRECTORIES(${SQLCIPHER_INCLUDE_DIRS})
                       
IF ( Qca-qt5_FOUND )
   ADD_DEFINITIONS( -DQCA2 )
ENDIF()

SET(skgbasemodeler_SRCS
   skgobjectbase.cpp
   skgnamedobject.cpp
   skgnodeobject.cpp
   skgpropertyobject.cpp
   skgdocument.cpp
   skgdocumentprivate.cpp
   skgtransactionmng.cpp
   skgservices.cpp
   skgerror.cpp
   skgtraces.cpp
   skgadvice.cpp
   skgreport.cpp
   skgtreemap.cpp
 )

#build a shared library
ADD_LIBRARY(skgbasemodeler SHARED ${skgbasemodeler_SRCS})

#need to link to some other libraries ? just add them here
SET_TARGET_PROPERTIES(skgbasemodeler PROPERTIES VERSION ${SKG_VERSION} SOVERSION ${SOVERSION} )
TARGET_LINK_LIBRARIES(skgbasemodeler LINK_PUBLIC KF5::I18n KF5::IconThemes KF5::ConfigWidgets KF5::CoreAddons
    Qt5::Core Qt5::Gui Qt5::Sql Qt5::Script Qt5::Xml Qt5::DBus Qt5::Concurrent qca-qt5
    Grantlee5::Templates
    ${SQLCIPHER_LIBRARIES} )
IF(Qt5_VERSION VERSION_LESS 5.7.0)
    TARGET_LINK_LIBRARIES(skgbasemodeler LINK_PUBLIC KF5::KDELibs4Support)
ELSE()
    TARGET_LINK_LIBRARIES(skgbasemodeler LINK_PUBLIC KF5::KIOCore)
ENDIF()


GENERATE_EXPORT_HEADER(skgbasemodeler BASE_NAME skgbasemodeler)

########### install files ###############
INSTALL(TARGETS skgbasemodeler ${INSTALL_TARGETS_DEFAULT_ARGS}  LIBRARY NAMELINK_SKIP )

=== plugins/skrooge/skrooge_operation/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE PLUGIN_OPERATION ::..")

PROJECT(plugin_operation)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_operation_SRCS
	skgsplittabledelegate.cpp
	skgoperationplugin.cpp
	skgoperationpluginwidget.cpp 
	skgoperationboardwidget.cpp
	skgoperationboardwidgetqml.cpp
)

ki18n_wrap_ui(skrooge_operation_SRCS skgoperationpluginwidget_base.ui skgoperationpluginwidget_pref.ui skgoperationpluginwidget_board.ui )
kconfig_add_kcfg_files(skrooge_operation_SRCS skgoperation_settings.kcfgc )

ADD_LIBRARY(skrooge_operation MODULE ${skrooge_operation_SRCS})
TARGET_LINK_LIBRARIES(skrooge_operation KF5::Parts KF5::ItemViews skgbasemodeler skgbasegui skgbankmodeler skgbankgui)

########### install files ###############
INSTALL(TARGETS skrooge_operation DESTINATION ${KDE_INSTALL_QTPLUGINDIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/org.kde.skrooge-plugin-operation.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge_operation.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/skrooge_operation )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgoperation_settings.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )

=== debian/changelog ===
skrooge (2.14.0-1build1) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 30 Jun 2018 23:58:21 -0500

skrooge (2.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Homepage to https.
  * Switch from --list-missing to --fail-missing for dh_missing.
  * Remove the unused libkf5kdelibs4support-dev build dependency.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Jun 2018 21:43:36 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
                libkf5coreaddons-dev,
                libkf5dbusaddons-dev,
                libkf5doctools-dev,
-               libkf5kdelibs4support-dev,
                kgendesignerplugin,
                libkf5guiaddons-dev,
                libkf5i18n-dev,
@@ -46,7 +45,7 @@
                pkg-kde-tools (>= 0.15.16),
                shared-mime-info
 Standards-Version: 4.1.4
-Homepage: http://skrooge.org/
+Homepage: https://skrooge.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/skrooge.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/skrooge

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
-	dh $@ --list-missing --with kf5
+	dh $@ --with kf5
 
 override_dh_auto_configure:
 	dh_auto_configure --buildsystem=kf5 -- -DSKG_BUILD_TEST=OFF
@@ -16,3 +16,6 @@
 	# remove .so symlinks, useless without headers; make sure to not
 	# remove those for qt plugins
 	find debian/tmp \( -name '*.so' -type l \! -path '*/usr/lib/*/qt5/plugins/designer/*' \) -print -delete
+
+override_dh_missing:
+	dh_missing --fail-missing

## skrooge 2.15.0

=== debian/changelog ===
skrooge (2.15.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.2.0, no changes required.
  * Use dh_python3 to calculate automatically the Python 3 dependency:
    - add the dh-python, and python3 build dependencies
    - use the python3 dh addon
    - invoke dh_python3 on the proper data directory in skrooge-common
    - use the ${python3:Depends} substvar in skrooge-common, removing the
      manual python3 dependency in skrooge

 -- Pino Toscano <pino@debian.org>  Thu, 23 Aug 2018 07:58:00 +0200

=== debian/control ===
--- 
+++ 
@@ -43,8 +43,10 @@
                libsqlcipher-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
+               dh-python,
+               python3,
                shared-mime-info
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Homepage: https://skrooge.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/skrooge.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/skrooge
@@ -55,7 +57,6 @@
          libqt5sql5-sqlite,
          skrooge-common (= ${source:Version}),
          kinit,
-         python3,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: poppler-utils
@@ -83,7 +84,8 @@
 
 Package: skrooge-common
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
 Description: Skrooge architecture independent files
  Skrooge allows you to manage your personal finances. It is intended to be used
  by individuals who want to keep track of their incomes, expenses and

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
-	dh $@ --with kf5
+	dh $@ --with kf5,python3
 
 override_dh_auto_configure:
 	dh_auto_configure --buildsystem=kf5 -- -DSKG_BUILD_TEST=OFF
@@ -19,3 +19,6 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+override_dh_python3:
+	dh_python3 -p skrooge-common /usr/share/skrooge

## skrooge 2.16.2

=== debian/changelog ===
skrooge (2.16.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Disable the build of the Qt Designer plugins, which are not useful without
    development stuff:
    - pass -DSKG_DESIGNER=OFF to cmake
    - remove special casing for Qt plugins when removing .so symlinks
  * Bump Standards-Version to 4.2.1, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 04 Nov 2018 23:53:16 +0100

=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
                dh-python,
                python3,
                shared-mime-info
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://skrooge.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/skrooge.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/skrooge
